# Bridge API Reference

The bridge module provides the communication layer between the Robust MCP Server and FreeCAD.

## Base Classes

::: freecad_mcp.bridge.base
options:
show_root_heading: true
show_source: true

## XML-RPC Bridge

::: freecad_mcp.bridge.xmlrpc
options:
show_root_heading: true
show_source: true

## Socket Bridge

::: freecad_mcp.bridge.socket
options:
show_root_heading: true
show_source: true

## Embedded Bridge

!!! warning "Linux Only"
The embedded bridge only works on Linux. See [Connection Modes](../guide/connection-modes.md) for details.

::: freecad_mcp.bridge.embedded
options:
show_root_heading: true
show_source: true
